Skip to main content

Documentation Index

Fetch the complete documentation index at: https://developer.wooxpro.com/llms.txt

Use this file to discover all available pages before exploring further.

Get Futures Openinterest

Applicable for querying the open interest and open interest value data of the specified contract

Request URL

GET https://cloud-api.wooxpro.com/contract/public/open-interest

Request Limit

See Detailed Rate Limit

Request Parameter

Request
curl https://cloud-api.wooxpro.com/contract/public/open-interest?symbol=BTCUSDT

FieldTypeRequired?Description
symbolStringYesSymbol of the contract(like BTCUSDT)

Response Data

Response
{
  "code": 1000,
  "trace": "0cc6f4c4-8b8c-4253-8e90-8d3195aa109c",
  "message": "Ok",
  "data": {
    "timestamp": 1661239541734,
    "symbol": "BTCUSDT",
    "open_interest": "4134180870",
    "open_interest_value": "94100888927.0433258"
  }
}
FieldTypeDescription
timestampLongTimestamp
symbolStringSymbol of the contract
open_interestStringOpen interest
open_interest_valueStringValue of open interest